Đến nội dung


Hình ảnh
- - - - -

Học lập trình auto lisp.


  • Please log in to reply
9 replies to this topic

#1 linhhoncodoc

linhhoncodoc

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 20 July 2012 - 02:40 PM

Dạo này công ty đang nhàn rỗi, mấy hôm trước em xem lisp của các anh chị trên diễn đàn mà em muốn học quá, nhưng ko biết bắt đầu từ đâu ?
Mong anh chị trên diễn đàn chỉ lối, hướng dẫn cho em nhập môn !
Xin chân thành cám ơn !
đây là mail của em : vandattk1986@gmai.com
  • 0

#2 nguyenngoc_205

nguyenngoc_205

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 December 2012 - 08:32 AM

Cứ vẽ những gì mình thích thôi bác, vẽ đến đâu học đến đấy :D
  • 0

Con đường ở dưới chân ta


#3 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 10 December 2012 - 10:22 AM

Học lisp có vô vàn phương án:
-Đăng ký học online tại cadviet (có phí).
-Tìm tài liệu hướng dẩn trên net hoặc cadviet (miễn phí và vô khối).
-Mua sách hướng dẩn.
-Xem loạt hướng dẩn của tôi.
http://duy782006.blo...1%BA%BFt%20lisp
Vân vân và vân vân.
  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#4 hieux5

hieux5

    Edu level: li3

  • Members
  • PipPip
  • 37 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 10 December 2012 - 11:20 AM

Học ở cadviet có ketxu huynh hướng dẫn nhé
  • 0

Hãy nhớ : Kẻ mạnh không phải là kẻ chiến thắng mà Kẻ thắng mới là kẻ mạnh






#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 10 December 2012 - 11:33 AM

Lâu k thấy H trả bài nhỉ ?
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 hieux5

hieux5

    Edu level: li3

  • Members
  • PipPip
  • 37 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 10 December 2012 - 12:47 PM

Lâu k thấy H trả bài nhỉ ?

Chương 4 khó nên phải ngồi tu luyện lâu cho nó chắc chắn chứ a ket :D
  • 0

Hãy nhớ : Kẻ mạnh không phải là kẻ chiến thắng mà Kẻ thắng mới là kẻ mạnh






#7 hongtalinh2009

hongtalinh2009

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 May 2013 - 10:36 AM

Lisp Ghi chiều dài thanh thép bên cạnh
Xin mọi người sửa giùm lisp sau.
Tôi muốn kết quả chiều cao chữ định sẵn , hoặc định một lần đầu, lần sau cứ enter là chiều cao chữ đó. ở đây tôi cứ mày mò ra được chiều cao chữ lần đầu sử dụng, nhưng enter thi cad không hiểu lệnh.
 
Mong mọi người giúp đỡ.
 
;; free lisp from cadviet.com
;; this lisp was downloaded from http://www.cadviet.c...?showtopic=3778
(defun add_mline ()
(foreach e_record_sub e_record
(cond ((= 10 (car e_record_sub))
(setq pt1 (cdr e_record_sub)
mline_len 0.0
)
)
((= 11 (car e_record_sub))
(setq pt2 (cdr e_record_sub)
mline_len (+ mline_len (distance pt2 pt1))
pt1 pt2
)
)
)
)
(setq f (+ f mline_len))
(ssdel e_name ss)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun C:th (/ f ss e_name e_record e_type)
(setq f 0.0)
(setq ss (ssget))
(if (null ss)
(exit))
(while (> (sslength ss) 0)
(setq e_name (ssname ss 0))
(setq e_record (entget e_name))
(setq e_type (cdr (assoc '0 e_record)))
(cond ((wcmatch e_type "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")
(command "lengthen" e_name "")    
(setq f (+ f (getvar "PERIMETER")))
(ssdel e_name ss))
((wcmatch e_type "MLINE") (add_mline))
(e_type (ssdel e_name ss))))
(setq p (getpoint "\n Chon diem nhap ket qua" ))
(if (not k) (setq k 1)) (setq h (getreal (strcat "\n Nhap chieu cao text < " (rtos k 2 2) " >: "))) (if h (setq k h))
(command "text" p h "0" (strcat(rtos f 2 0)))
;(prompt (strcat "\nTotal length is: " (rtos f 2 2)))
(princ));end

  • 0

#8 sonnv36

sonnv36

    biết lệnh copy

  • Members
  • PipPipPip
  • 119 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 11 May 2013 - 10:42 AM

Sư phụ ketxu có nhận thêm đồ đệ nữa k ta ^^


  • 0

Online một ngày đàng...học vài sàng khôn :)


#9 hongtalinh2009

hongtalinh2009

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 May 2013 - 02:40 PM

Lisp Ghi chiều dài thanh thép bên cạnh
Xin mọi người sửa giùm lisp sau.
Tôi muốn kết quả chiều cao chữ định sẵn , hoặc định một lần đầu, lần sau cứ enter là chiều cao chữ đó. ở đây tôi cứ mày mò ra được chiều cao chữ lần đầu sử dụng, nhưng enter thi cad không hiểu lệnh.
 
Mong mọi người giúp đỡ.
 
;; free lisp from cadviet.com
;; this lisp was downloaded from http://www.cadviet.c...?showtopic=3778
(defun add_mline ()
(foreach e_record_sub e_record
(cond ((= 10 (car e_record_sub))
(setq pt1 (cdr e_record_sub)
mline_len 0.0
)
)
((= 11 (car e_record_sub))
(setq pt2 (cdr e_record_sub)
mline_len (+ mline_len (distance pt2 pt1))
pt1 pt2
)
)
)
)
(setq f (+ f mline_len))
(ssdel e_name ss)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun C:th (/ f ss e_name e_record e_type)
(setq f 0.0)
(setq ss (ssget))
(if (null ss)
(exit))
(while (> (sslength ss) 0)
(setq e_name (ssname ss 0))
(setq e_record (entget e_name))
(setq e_type (cdr (assoc '0 e_record)))
(cond ((wcmatch e_type "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")
(command "lengthen" e_name "")    
(setq f (+ f (getvar "PERIMETER")))
(ssdel e_name ss))
((wcmatch e_type "MLINE") (add_mline))
(e_type (ssdel e_name ss))))
(setq p (getpoint "\n Chon diem nhap ket qua" ))
(if (not k) (setq k 1)) (setq h (getreal (strcat "\n Nhap chieu cao text < " (rtos k 2 2) " >: "))) (if h (setq k h))
(command "text" p h "0" (strcat(rtos f 2 0)))
;(prompt (strcat "\nTotal length is: " (rtos f 2 2)))
(princ));end

http://www.cadviet.c...pfiles/3/13694_


  • 0

#10 hongtalinh2009

hongtalinh2009

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 May 2013 - 02:44 PM

Lisp Ghi chiều dài thanh thép bên cạnh
Xin mọi người sửa giùm lisp sau.
Tôi muốn kết quả chiều cao chữ định sẵn , hoặc định một lần đầu, lần sau cứ enter là chiều cao chữ đó. ở đây tôi cứ mày mò ra được chiều cao chữ lần đầu sử dụng, nhưng enter thi cad không hiểu lệnh.
 
Mong mọi người giúp đỡ.
 
;; free lisp from cadviet.com
;; this lisp was downloaded from http://www.cadviet.c...?showtopic=3778
(defun add_mline ()
(foreach e_record_sub e_record
(cond ((= 10 (car e_record_sub))
(setq pt1 (cdr e_record_sub)
mline_len 0.0
)
)
((= 11 (car e_record_sub))
(setq pt2 (cdr e_record_sub)
mline_len (+ mline_len (distance pt2 pt1))
pt1 pt2
)
)
)
)
(setq f (+ f mline_len))
(ssdel e_name ss)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun C:th (/ f ss e_name e_record e_type)
(setq f 0.0)
(setq ss (ssget))
(if (null ss)
(exit))
(while (> (sslength ss) 0)
(setq e_name (ssname ss 0))
(setq e_record (entget e_name))
(setq e_type (cdr (assoc '0 e_record)))
(cond ((wcmatch e_type "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")
(command "lengthen" e_name "")    
(setq f (+ f (getvar "PERIMETER")))
(ssdel e_name ss))
((wcmatch e_type "MLINE") (add_mline))
(e_type (ssdel e_name ss))))
(setq p (getpoint "\n Chon diem nhap ket qua" ))
(if (not k) (setq k 1)) (setq h (getreal (strcat "\n Nhap chieu cao text < " (rtos k 2 2) " >: "))) (if h (setq k h))
(command "text" p h "0" (strcat(rtos f 2 0)))
;(prompt (strcat "\nTotal length is: " (rtos f 2 2)))
(princ));end

  • 0